# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "cwiid"
version = "0.1.2"
description = "Rust library for cwiid (Wii remote \"Wiimote\") based on libcwiid-sys bindings"
readme = "README.md"
license-file = "LICENSE"
repository = "https://github.com/RedIODev/Cwiid-rs-api"

[package.metadata.cross.build]
default-target = "armv5te-unknown-linux-gnueabi"

[package.metadata.cross.target.armv5te-unknown-linux-gnueabi]
image = "ghcr.io/cross-rs/armv5te-unknown-linux-gnueabi-cross:local"

[profile.release]
opt-level = 2
lto = true
codegen-units = 1
panic = "abort"
strip = true

[lib]
crate-type = ["rlib"]

[dependencies.lazy_static]
version = "1.4.0"

[dependencies.libcwiid-sys]
version = "0.1.5"

[dependencies.num-traits]
version = "0.2.15"
